# Class ArrayBufferReader

##### Index

### Constructors

constructor

### Properties

buffer
offsetInBytes

### Methods

float32
float64
readPadding
typedArray
uint16
uint32
uint8

## Constructors

### constructor

- new ArrayBufferReader(
  buffer: ArrayBuffer,
  offsetInBytes?: number,
  ): ArrayBufferReader

  #### Parameters

  - buffer: ArrayBuffer
  - offsetInBytes: number = 0

  #### Returns ArrayBufferReader

## Properties

### `Readonly` buffer

buffer: ArrayBuffer

### offsetInBytes

offsetInBytes: number = 0

## Methods

### float32

- float32(n: number): Float32Array

  #### Parameters

  - n: number

  #### Returns Float32Array

### float64

- float64(n: number): Float64Array

  #### Parameters

  - n: number

  #### Returns Float64Array

### readPadding

- readPadding(alignmentInBytes: number, throwOnInvalidPadding: boolean): number

  #### Parameters

  - alignmentInBytes: number
  - throwOnInvalidPadding: boolean

  #### Returns number

### typedArray

- typedArray(n: number): { array: TypedArray; sizeInBytes: number }

  #### Parameters

  - n: number

  #### Returns { array: TypedArray; sizeInBytes: number }

### uint16

- uint16(n: number): Uint16Array

  #### Parameters

  - n: number

  #### Returns Uint16Array

### uint32

- uint32(n: number): Uint32Array

  #### Parameters

  - n: number

  #### Returns Uint32Array

### uint8

- uint8(n: number): Uint8Array

  #### Parameters

  - n: number

  #### Returns Uint8Array